// MFCDoc.h : CMFCDoc 클래스의 인터페이스

#pragma once

#include "DrawRect.h"
#include "Data.h"
#include "DrawElli.h"
#include "DrawLine.h"
#include "DrawPoly.h"


class CpaintDoc : public CDocument
{
protected: // serialization에서만 만들어집니다.
	CpaintDoc();
	DECLARE_DYNCREATE(CpaintDoc)

	// 특성입니다.
public:
	// 작업입니다.

public:

	// 재정의입니다.
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

	// 구현입니다.
public:
	virtual ~CpaintDoc();

	CPoint m_ptPointer;

	CObList m_List;
	CObList m_tmpList;

	CPtrList m_DrawObjs;
	CData* m_CurDraw;
	CPtrList& getDrawObjects() { return m_DrawObjs; };
	void CreateObj(int nChoice);

	//	CRectTracker m_tracker;

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	// 생성된 메시지 맵 함수
protected:
	DECLARE_MESSAGE_MAP()
};


